Bug 67725 - df reports incorrect device when multiple "root" partitions are mouted
df reports incorrect device when multiple "root" partitions are mouted
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: wdovlrrw
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-01 01:43 EDT by Daniel Westermann-Clark
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 01:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Westermann-Clark 2002-07-01 01:43:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
I have an old Linux root partition, on /dev/hdg1, mounted in addition to the one
I currently use, on /dev/hda2.  df reports the device for my current root
partition as /dev/hdg1, when it is infact /dev/hda2.  My guess is that df is
looking at the label for each partition, and assuming that /dev/hdg1 is the
correct one.  Interestingly enough, the partition on /dev/hda2 is larger than
all of /dev/hdg.

I have added the output from df, and the appropriate syslog lines.

Version-Release number of selected component (if applicable):
df (fileutils) 4.1

How reproducible:
Always

Steps to Reproduce:
1. Run /bin/df.
	

Actual Results:
$ df
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hdg1             10080520   3434644   6133808  36% /
/dev/hda5              8570444    626416   7508672   8% /home
none                    257156         0    257156   0% /dev/shm
/dev/hde1             19525456  16917040   2608416  87% /mnt/data1
/dev/hde5             19525456  14605840   4919616  75% /mnt/data2
/dev/hde6             19525456  15572512   3952944  80% /mnt/data3
/dev/hde7             19533472  13902768   5630704  72% /mnt/data4
/dev/hdg3                 8004       594      7410   8% /mnt/old-boot
/dev/hdg1              6151076   2960864   2877752  51% /mnt/old-linux
/dev/hdg5              3121592   1361320   1598821  46% /mnt/old-home
/dev/hdh5              7319328   1363180   5956148  19% /mnt/files
/dev/hdh6              7319328   4587020   2732308  63% /mnt/downloads

$ demsg | less
...
Jun 16 11:44:58 fortuna kernel: Partition check:
Jun 16 11:44:58 fortuna kernel:  hda: hda1 hda2 hda3 hda4 < hda5 >
Jun 16 11:44:58 fortuna kernel:  hde: [PTBL] [9729/255/63] hde1 hde2 < hde5 hde6
hde7 >
Jun 16 11:44:58 fortuna kernel:  hdg: [PTBL] [1232/255/63] hdg1 hdg2 hdg3 hdg4 <
hdg5 >
Jun 16 11:44:58 fortuna kernel:  hdh: [PTBL] [3739/255/63] hdh1 hdh2 < hdh5 hdh6 >
...
Comment 1 Bernhard Rosenkraenzer 2002-08-29 19:10:26 EDT
This is fixed in 4.1.9-*

Note You need to log in before you can comment on or make changes to this bug.